Subject: bug#71435: interactive xref-find-definitions-at-mouse

From: Alan Donovan <[email-masked]>
Date: Mon, 10 Jun 2024 10:39:04 -0400

> ?? This works for me:
>  (global-set-key [C-down-mouse-1] 'xref-find-definitions-at-mouse)

Ah, I remember the problem now: if the point is at position A and the mouse
click occurs at some unrelated position B, plain old
xref-find-definitions-at-mouse will use position A as the basis of the
query, which is most surprising: it might be a non-identifier, in
which case you get an error, or it might be an unrelated identifier, in
which case you navigate to the wrong place.

So perhaps my request should instead have been expressed as a bug report:
xref-find-definitions-at-mouse uses the point instead of the mouse event
position.

On Mon, 10 Jun 2024 at 03:07, Philip Kaludercic <[email-masked]> wrote:

> Juri Linkov <[email-masked]> writes:
>
> >>>>> Many editors allow a mouse-click operation on an identifier, plus a
> suitable modifier key, to jump to the
> >>>>> declaration of the symbol. Emacs provides
> xref-find-definitions-at-mouse, but I couldn't find a way to make it
> >>>>> work in response to a click.
> >>>>
> >>>> ??? This works for me:
> >>>>
> >>>>   (global-set-key [C-down-mouse-1] 'xref-find-definitions-at-mouse)
> >>>
> >>> Should we consider adding such a key binding by default?
> >>>
> >>> Is that a feature that users want?
> >>
> >> Perhaps one could add a global minor mode and mention it in the menu
> bar?
> >
> > I'd rather enable context-menu-mode by default.
>
> If that is up to the discussion, I'd vote for that as well!
>
> --
>         Philip Kaludercic on peregrine
>